Bug 17300 - [945]incorrect display when run mesa xdemo "glxpixmap"
[945]incorrect display when run mesa xdemo "glxpixmap"
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915
unspecified
Other Linux (All)
: medium normal
Assigned To: Eric Anholt
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-25 19:35 UTC by liuhaien
Modified: 2009-03-17 19:32 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
snapshot_image (32.76 KB, image/jpeg)
2008-08-25 19:35 UTC, liuhaien
Details
xorg.0.log (69.07 KB, text/plain)
2008-08-25 19:37 UTC, liuhaien
Details
xorg conf file (3.66 KB, text/plain)
2008-08-25 19:37 UTC, liuhaien
Details

Note You need to log in before you can comment on or make changes to this bug.
Description liuhaien 2008-08-25 19:35:28 UTC
Created attachment 18507 [details]
snapshot_image

System Environment:
--------------------------
Host:           945g
Arch:           i386
Kernel:         2.6.27-rc2
Libdrm:master           9101a0205c897fea28e6a3d875111a83ad7f7732
Mesa:master     f75843a517bd188639e6866db2a7b04de3524e16
Xserver:master          668f89eba3e8f9da7843f5cb350f8dc1e5d7efbe
Xf86_video_intel:master         7a5b090abc39c380955489bad5e46d1278f38fee

Bug detailed description:
--------------------------
start X,then run mesa xdemo "glxpixmap",we will get corrupted display as is shown in the attached screenshot.

Reproduce steps:
----------------
1.xinit&
2../glxpixmap
Comment 1 liuhaien 2008-08-25 19:37:15 UTC
Created attachment 18508 [details]
xorg.0.log
Comment 2 liuhaien 2008-08-25 19:37:42 UTC
Created attachment 18509 [details]
xorg conf file
Comment 3 liuhaien 2008-08-25 19:39:34 UTC
and it also happens with classic.
Comment 4 Eric Anholt 2008-09-10 15:23:49 UTC
The failure here is that glxpixmap is running at all, without DRI2 being enabled.
Comment 5 Gordon Jin 2008-09-11 23:50:42 UTC
My understanding is hold on glxpixmap testing until DRI2 enabled. See bug#9200.
Comment 6 liuhaien 2008-12-09 00:07:17 UTC
still exists against below:
xf86_video_intel   xf86-video-intel-2.6-branch
       commit b156b3165e1aae5df0353737d0335ac2e653f5fd

mesa   intel-2008-q4 branch
       commit 154a9e5317f890618932cea0129ef887e16baf84

kernel  for-airlied branch
        commit 66647dc60d16fae9f6963fd98b6d9baa1a8dac69

libdrm  master branch
       commit b0d93c74d884b40bd94469a5ef75fdb2fef17680

xserver 1.6 
GEM kernel (for-airalied)6c76409370d7ee18208a7adfa5f8dabf8a42a274
Comment 7 Gordon Jin 2009-02-23 23:57:31 UTC
This should be closed, if it works with DRI2.
Comment 8 liuhaien 2009-03-17 19:32:02 UTC
verified against:
Libdrm:		(master)2e2e8575b1ed4703653a72ac2b60b75316c388d7
Mesa:		(mesa_7_4_branch)a8528a2e8653b5237c1d1d66fe98c6e031d007f9	
Xserver:	(server-1.6-branch)60c161545af80eb78eb790a05bde79409dfdf16e
Xf86_video_intel:	(2.7)238c2c40afd9f8b61479b8640d53f20d52fd7ddf